SETLEDS(1)

NAZWA
setleds - ustaw diody klawiatury

SKŁADNIA
setleds [-v] [-L] [-D] [-F] [{+|-}num] [{+|-}caps] [{+|-}scroll]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

setleds odczytuje i zmienia ustawienia światełek LED aktualnego VT (zwanych NumLock, CapsLock i ScrollLock). Bez argumentów polecenie setleds wypisuje obecne ustawienia. Z argumentami ustawia lub wyłącza wskazane flagi (pozostawiając inne niezmienione). Ustawienia przed i po zmianie są zgłaszane jeśli podano flagę -v

OPCJE

-F  Jest ustawiona domyślnie. Tylko zmienia flagi VT (i jej ustawienie może wpłynąć na diody klawiatury).

-D  Zmienia obydwie flagi VT i ich domyślne ustawienia (a więc subsekwencyjny reset nie odwoła zmiany). Może to być użyteczne dla ludzi, którzy zawsze chcą mieć włączony numlock.

-L  Nie rusza flag VT, a jedynie zmienia stan diod. Od tej chwili diody nie będą oddawać rzeczywistego stanu flag VT (ale zareagują na każdą zmianę). Komenda setleds -L (bez późniejszych argumentów) przywróci sytuację, w której diody oddają stan flag VT.

-num +num
    Wyzeruj lub ustaw NumLock. (Od teraz, ustawienie NumLock wpływa na interpretację klawiszy numerycznych. Wciśnięcie klawisza NumLock uzupełnia ustawienie NumLock.)

-caps +caps
    Wyzeruj lub ustaw CapsLock. (Od teraz, ustawienie CapsLock dodaje klawisz Shift w stosunku do wprowadzanych liter. Wciśnięcie klawisza CapsLock uzupełnia ustawienie CapsLock.)

-scroll +scroll
    Wyzeruj lub ustaw ScrollLock. (Od teraz, poprzez wciśnięcie klawisza ScrollLock (lub ^S/^Q) zatrzymuje/wznawia wyjście konsoli.)

PRZYKŁAD

Można na przykład użyć setleds w /etc/rc by zdefiniować początkowy i domyślny stan NumLock poprzez

    INITTY=/dev/tty[1-8]
    for tty in $INITTY; do
        setleds -D +num < $tty
    done

USTERKI
W trybie aplikacji klawiatury klawisz NumLock nie wpływa na ustawienie flagi NumLock.

ZOBACZ TAKŻE
loadkeys(1).

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 setleds

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.